Skip to content

Update Email Content

POST /rest/asset/v1/email/{id}/content.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/email/{id}/content.json
Tag: Emails
Operation ID: updateEmailContentUsingPOST

Updates the content of an email. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes id

Request body

Name: updateEmailRequest
Required: Yes
Schema: model: UpdateEmailComponentDataRequest

updateEmailRequest

Generated example

{
  "fromEmail": {
    "type": "string",
    "value": "string"
  },
  "fromName": {
    "type": "string",
    "value": "string"
  },
  "replyTO": {
    "type": "string",
    "value": "string"
  },
  "subject": {
    "type": "string",
    "value": "string"
  }
}

Referenced models

Example request

POST {{base_url}}/rest/asset/v1/email/{{id}}/content.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

{
  "fromEmail": {
    "type": "string",
    "value": "string"
  },
  "fromName": {
    "type": "string",
    "value": "string"
  },
  "replyTO": {
    "type": "string",
    "value": "string"
  },
  "subject": {
    "type": "string",
    "value": "string"
  }
}

Responses

200 — OK

Schema: model: ResponseOfIdResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.